<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Grid1.aspx.cs" Inherits="Grid" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="css/defaultStyles.css" rel="stylesheet" type="text/css" />
    <link href="css/SoberTable.css" rel="stylesheet" type="text/css" />
    <link href="css/Excel.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="frmgrid" runat="server">
        <asp:ScriptManager runat="server" ID="scrpManager">
            <Scripts>
                <asp:ScriptReference Path="~/Scripts/ColumnTypes.js" />
                <asp:ScriptReference Path="~/Scripts/Grid.js" />
            </Scripts>
        </asp:ScriptManager>
        <asp:Button runat="server" ID="btnAstoria" Text="Data Bind" Style="display: none" />
        <Raj:AstoriaDSExtender runat="server" ID="asbehaviorPnl" BehaviorID="asBehavior"
            TargetControlID="btnAstoria" DatabaseURI="http://astoria.sandbox.live.com/northwind/northwind.rse"
            DataFormat="json" StartPageIndex="0" PageSize="8" Query="/Suppliers" OnClientDataReady="endDownload"
            ErrorPanelId="divContainsErrorInfo" ExpandRecord="Products" />
        <div style="position: absolute; top: 100px; left: 30px;">
            <table width="75%" style="text-align: center;" class="generic_data_table" cellpadding="0"
                cellspacing="0" id="tblDataTable">
                <tbody>
                    <tr>
                        <td colspan="1" class="actionsHeader">
                            <span onclick="addnewRow(event);">
                                <img src="images/expand.gif" class="gridSelectedRowGB" />
                                Add&nbsp;Row </span>
                        </td>
                        <td colspan="3" class="actionsHeader">
                            <a onclick="goPrev();" href="#">
                                <img src="images/button_prev.gif" border="0" />
                            </a>
                        </td>
                        <td colspan="3" class="actionsHeader">
                            <a href="#" onclick="goNext();">
                                <img src="images/button_next.gif" border="0" />
                            </a>
                        </td>
                    </tr>
                </tbody>
                <tbody>
                    <img src="images/Loading.gif" />
                </tbody>
            </table>
        </div>
        <div id="divSubDetails" style="display: none; position: absolute;" class="subDetailsRow">
            <table style="text-align: center; table-layout: fixed; background-color: #ffffff;
                padding: 4px 4px 4px 4px; margin: 4px  4px  4px  4px;" cellpadding="0" cellspacing="0"
                id="tblSubDataTable" class="generic_data_table">
                <tbody>
                    <%--<tr>
                        <td colspan="5" class="actionsHeader">
                            <a onclick="goPrev();" href="#">Prev</a>&nbsp;&nbsp;&nbsp; <a href="#" onclick="goNext();">
                                Next</a>
                        </td>
                    </tr>--%>
                </tbody>
                <tbody>
                </tbody>
            </table>
        </div>
        <div id="divSubSubDetails" style="display: none; position: absolute; width: 91%;"
            class="subDetailsRow">
            <table width="100%" style="text-align: center; table-layout: fixed; background-color: #ffffff;
                padding: 4px 4px 4px 4px; margin: 4px  4px  4px  4px;" cellpadding="0" cellspacing="0"
                id="tblSubSubDataTable">
                <tbody>
                    <tr>
                        <td colspan="5" class="actionsHeader">
                            <a onclick="goPrev();" href="#">Prev</a>&nbsp;&nbsp;&nbsp; <a href="#" onclick="goNext();">
                                Next</a>&nbsp;&nbsp;&nbsp; <a href="#" onclick="addnewRow(event);">Add new Row</a>
                        </td>
                    </tr>
                </tbody>
                <tbody>
                </tbody>
            </table>
        </div>
        <div id="divAddNewRow" style="display: none; position: absolute;" class="addNewRowDiv">
            <table style="text-align: center; table-layout: fixed; background-color: #ffffff;
                padding: 4px 4px 4px 4px; margin: 4px  4px  4px  4px;" cellpadding="0" cellspacing="0"
                id="Table1" class="generic_data_table">
                <tbody>
                    <tr>
                        <th>
                            Supplier ID
                        </th>
                        <th>
                            CompanyName
                        </th>
                        <th>
                            ContactName
                        </th>
                        <th>
                            ContactTitle
                        </th>
                        <th>
                            Address
                        </th>
                        <th>
                            City
                        </th>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" />
                        </td>
                        <td>
                            <input type="text" />
                        </td>
                        <td>
                            <input type="text" />
                        </td>
                        <td>
                            <input type="text" />
                        </td>
                        <td>
                            <input type="text" />
                        </td>
                        <td>
                            <input type="text" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6" align="center">
                            <asp:Button runat="server" ID="Button1" CssClass="buttonBlack" Text="Save" />
                            <asp:Button runat="server" ID="Button2" CssClass="buttonBlack" Text="Cancel" />
                        </td>
                    </tr>
                </tbody>
                <tbody>
                </tbody>
            </table>
        </div>
        <asp:Panel runat="server" ID="divModalAddnewUser" Style="width: 250px; display: none"
            CssClass="coolbluePane">
            <b>Add New Row</b>
            <div class="white">
                <ul style="position: relative; left: 10%;">
                    <li>Column 1 :
                        <asp:TextBox runat="server" ID="txtColumn1"></asp:TextBox>
                    </li>
                    <li>Column 2 :
                        <asp:TextBox runat="server" ID="txtColumn2"></asp:TextBox></li>
                    <li>Column 3 :
                        <asp:TextBox runat="server" ID="txtColumn3"></asp:TextBox></li>
                    <li>Column 4 :
                        <asp:TextBox runat="server" ID="txtColumn4"></asp:TextBox></li>
                </ul>
            </div>
            <div style="position: relative; left: 20%;">
                <asp:Button runat="server" ID="btnAddnewRowOk" CssClass="buttonBlack" Text="Save" />
                <asp:Button runat="server" ID="btnAddnewRowCancel" CssClass="buttonBlack" Text="Cancel" />
            </div>
        </asp:Panel>
        <asp:DropDownList runat="server" ID="ddlEditItem" Style="display: none">
            <asp:ListItem Text="Value 0" Value="0"></asp:ListItem>
            <asp:ListItem Text="Value 1" Value="0"></asp:ListItem>
            <asp:ListItem Text="Value 2" Value="0"></asp:ListItem>
            <asp:ListItem Text="Value 3" Value="0"></asp:ListItem>
            <asp:ListItem Text="Value 4" Value="0"></asp:ListItem>
        </asp:DropDownList>
        <div style="position: absolute; top: 10px; right: 100px; height: 50px; width: 400px;"
            id="divContainsErrorInfo" class="yellow">
        </div>

        <script language="javascript" type="text/javascript">
            var _prevSelectedRow=null;
            function pageLoad() {
                $find("asBehavior").DataBind();
            }
             function endDownload(source,eventArgs) {
             var listData = Sys.Serialization.JavaScriptSerializer.deserialize( eventArgs.get_data() );
             
             //var columnSpecifications ={Columns:[{headerName:"Expand",dataText:"Expand",noAction:true,Style:{Width:"30px"},subDataTableId:"tblSubDataTable",subDetailsDivID:"divSubDetails"},
//                                       {headerName:"CategoryID",dataFieldName:"CategoryID",noAction:false},
//                                       {headerName:"CategoryName",dataFieldName:"CategoryName",noAction:false},
//                                       {headerName:"QuantityPerUnit",dataFieldName:"QuantityPerUnit",noAction:false},
//                                       {headerName:"UnitPrice",dataFieldName:"UnitPrice",noAction:false}]}
//                                       
//                var columnSpecifications = {Columns:[{headerName:"Expand",dataText:"Expand",noAction:true,Style:{Width:"30px"},subDataTableId:"tblSubDataTable",subDetailsDivID:"divSubDetails"},
//                                       {headerName:"ProductID",dataFieldName:"ProductID",noAction:false},
//                                       {headerName:"ProductName",dataFieldName:"ProductName",noAction:false},
//                                       {headerName:"QuantityPerUnit",dataFieldName:"QuantityPerUnit",noAction:false},
//                                       {headerName:"UnitPrice",dataFieldName:"UnitPrice",noAction:false},
//                                       {headerName:"UnitsInStock",dataFieldName:"UnitsInStock",noAction:false},
//                                       {headerName:"Discontinued",dataFieldName:"Discontinued",noAction:false}]};

                var columnSpecifications = {Columns:[{headerName:"Click",dataText:"Products",noAction:true,Style:{Width:"60px"},subDataTableId:"tblSubDataTable",subDetailsDivID:"divSubDetails"},
                                       {headerName:"Supplier ID",dataFieldName:"SupplierID",noAction:false,columnType:AjaxGrid.ColumnTypes.Label},
                                       {headerName:"CompanyName",dataFieldName:"CompanyName",noAction:false,columnType:AjaxGrid.ColumnTypes.Label},
                                       {headerName:"ContactName",dataFieldName:"ContactName",noAction:false,columnType:AjaxGrid.ColumnTypes.Label},
                                       {headerName:"ContactTitle",dataFieldName:"ContactTitle",noAction:false,columnType:AjaxGrid.ColumnTypes.Label},
                                       {headerName:"Address",dataFieldName:"Address",noAction:false,columnType:AjaxGrid.ColumnTypes.Label},
                                       {headerName:"City",dataFieldName:"City",noAction:false,columnType:AjaxGrid.ColumnTypes.Label}]};
                //BindGrid(_subDetailsData,"tblSubDataTable",columnSpecifications,false,"")
                var rowTemplates = { EmptyRowTemplate : 
                        {CssClass:"actionsHeader",Columns:[
                                {type:"text",text:"No"},
                                {type:"text",text:"Data"},
                                {type:"html",html:"Available <img src='images/xmag.png'/>"}]
                         },
                       FooterTemplate : 
                       {CssClass:"actionsHeader",
                        ColSpan:"7",
                        Columns : [
                                {type:"text",text:"Footer Row"}
                                  ]
                        }   
                          
                     };
              BindGrid(listData,"tblDataTable",columnSpecifications,true,"Products",rowTemplates)
             }
             function goNext(){
                $find("asBehavior").set_currentPageIndex( $find("asBehavior").get_currentPageIndex() + 1 );
                $find("asBehavior").DataBind();
             }
             function goPrev(){
                $find("asBehavior").set_currentPageIndex( $find("asBehavior").get_currentPageIndex() - 1 );
                $find("asBehavior").DataBind();
             }

        </script>

    </form>
</body>
</html>
